# -*- coding: utf-8 -*-

"""Constants as used by the pgbouncemgr modules."""

# Configuration defaults.
DEFAULT_CONFIG = "/etc/pgbouncer/pgbouncemgr.yaml"
DEFAULT_LOG_FACILITY = "LOG_LOCAL1"

# Return values for the PgConnection.connect() method.
CONN_CONNECTED = 'CONN_CONNECTED'
CONN_REUSED = 'CONN_REUSED'
CONN_RECONNECTED = 'CONN_RECONNECTED'

# Backend node status.
NODE_UNKNOWN = "NODE_UNKNOWN"
NODE_OFFLINE = "NODE_OFFLINE"
NODE_PRIMARY = "NODE_PRIMARY"
NODE_STANDBY = "NODE_STANDBY"
NODE_STATUSES = [NODE_UNKNOWN, NODE_OFFLINE, NODE_PRIMARY, NODE_STANDBY]

# Leader node status.
LEADER_UNKNOWN = "LEADER_UNKNOWN"
LEADER_CONNECTED = "LEADER_CONNECTED"
LEADER_DISCONNECTED = "LEADER_DISCONNECTED"
LEADER_STATUSES = [LEADER_UNKNOWN, LEADER_CONNECTED, LEADER_DISCONNECTED]
